Xeonr Developer Docs
API SpecificationPRIVATEApplications

Delete Role

POST
/xeonr.auth.private.v1.ApplicationsService/DeleteRole

Deletes a role from an application. Users with this role will lose the associated permissions.

Required scopes: auth:roles:edit

Authorization

BearerAuth
AuthorizationBearer <token>

JWT access token for internal API access. Requires 'private' scope for most endpoints, 'admin' scope for administrative operations.

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

roleType?string

Role type disambiguates when the same name exists as both an application and a team role. Unspecified targets the application role (legacy callers).

Value in"ROLE_TYPE_UNSPECIFIED" | "ROLE_TYPE_APPLICATION" | "ROLE_TYPE_TEAM"
applicationId?string
Length1 <= length <= 64
roleName?string
Length1 <= length <= 64
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://auth.xeonr.io/xeonr.auth.private.v1.ApplicationsService/DeleteRole" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "application": {
    "applicationId": "app_prod_myapp",
    "name": "My Application",
    "slug": "my-application",
    "websiteUrl": "https://myapp.example.com",
    "createdAt": "2023-01-15T01:30:15.01Z",
    "updatedAt": "2023-01-15T01:30:15.01Z",
    "enabledIdps": [
      "github",
      "discord"
    ],
    "scopes": [
      {
        "name": "read:users",
        "description": "Read access to user data",
        "isInternal": true,
        "isSensitive": true,
        "role": {
          "name": "admin",
          "iacManaged": true,
          "roleType": "ROLE_TYPE_UNSPECIFIED",
          "description": "string"
        },
        "isDelegatable": true,
        "isServiceAccountOnly": true,
        "isOrgOnly": true,
        "iacManaged": true
      }
    ],
    "automaticEnrollment": true,
    "audience": [
      "https://api.example.com"
    ],
    "roles": [
      {
        "name": "admin",
        "iacManaged": true,
        "roleType": "ROLE_TYPE_UNSPECIFIED",
        "description": "string"
      }
    ],
    "supportsScopedRequests": true,
    "applicationCustomConfig": {
      "jsonSchema": {
        "property1": {},
        "property2": {}
      },
      "uiSchema": {
        "property1": {},
        "property2": {}
      }
    },
    "public": true,
    "resourceTypes": [
      {
        "type": "bucket",
        "jsonSchema": {
          "property1": {},
          "property2": {}
        },
        "displayTitleField": "title",
        "displayDescriptionField": "description",
        "iacManaged": true
      }
    ],
    "validationCallbackUrl": "https://uploads.example.com/api/auth/validate",
    "iacManaged": true,
    "supportsTeams": true,
    "automaticTeamBinding": true
  }
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}